@echo off

net session >nul 2>&1
IF %errorLevel% == 0 GOTO BEGIN
echo.
echo.
echo Administrative permissions required. 
echo Current permissions inadequate.
echo.
GOTO :END

:BEGIN
cd %~dp0
IF "%PROCESSOR_ARCHITECTURE%"=="x86" (set BIT=x86) ELSE (set BIT=x64)

rem ##########  ##########  ##########  ##########  ##########  ##########  ##########  ##########

echo.
echo STOP SERVICE
net stop txcare_dbs
ping 127.0.0.1 -n 3 > nul
TASKKILL /f /im mysqld.exe >nul 2>nul
echo.
echo DELETE SERVICE
sc delete txcare_dbs
echo.

rem ##########  ##########  ##########  ##########  ##########  ##########  ##########  ##########

rd /s /q "C:\ProgramData\MySQL\MySQL Server 5.6" >nul 2>&1

IF "%BIT%" == "x86" (set MYSQLCONSOLE="C:\Program Files\MySQL\MySQL Installer for Windows\MySQLInstallerConsole.exe") ELSE (set MYSQLCONSOLE="C:\Program Files (x86)\MySQL\MySQL Installer for Windows\MySQLInstallerConsole.exe")

%MYSQLCONSOLE% community remove * -silent
rem ##########  ##########  ##########  ##########  ##########  ##########  ##########  ##########

:CHECKMYSQLINSTALLER
%mysqlconsole% community status

set MYSQLINSTALLERPATH=
IF "%BIT%" == "x86" GOTO MYSQLINSTALLERPC32BIT

:MYSQLINSTALLERPC64BIT
FOR /F "tokens=2*" %%A IN ('REG.exe query "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\MySQL\MySQL Installer - Community" /v "installed" /reg:32') DO set MYSQLINSTALLERPATH=%%B 
IF DEFINED MYSQLINSTALLERPATH GOTO MYSQLINSTALLERINSTALLED
GOTO :MYSQLINSTALLERNOTINSTALLED

:MYSQLINSTALLERPC32BIT
FOR /F "tokens=2*" %%A IN ('REG.exe query "HKEY_LOCAL_MACHINE\SOFTWARE\MySQL\MySQL Installer - Community" /v "installed"') DO set MYSQLINSTALLERPATH=%%B
IF DEFINED MYSQLINSTALLERPATH GOTO MYSQLINSTALLERINSTALLED
GOTO :MYSQLINSTALLERNOTINSTALLED

:MYSQLINSTALLERINSTALLED
echo.
echo UNINSTALL MySQL Installer Community
msiexec /x mysql\mysql-installer-community-5.6.23.0.msi /qn
if errorlevel 1 goto :MYSQLFAILED
rd /s /q "C:\TXCare\Redundancy" >nul 2>&1
rd /s /q "C:\ProgramData\MySQL" >nul 2>&1
rd /s /q "C:\Program Files\MySQL" >nul 2>&1
rd /s /q "C:\Program Files (x86)\MySQL" >nul 2>&1
:MYSQLINSTALLERNOTINSTALLED

rem ##########  ##########  ##########  ##########  ##########  ##########  ##########  ##########

:END
echo.
FOR /l %%N IN (1 1 5) do ( echo.)
echo MySQL uninstallation is complete.
GOTO :EXIT

:MYSQLFAILED
FOR /l %%N IN (1 1 5) do ( echo.)
echo !! The uninstallation of MySQL has failed.
GOTO :EXIT

:EXIT
FOR /l %%N IN (1 1 5) do ( echo.)
pause
